HLINT(1)

NAME
HLint - haskell source code suggestions

SYNOPSIS
hlint [files/directories] [options]

DESCRIPTION
HLint is a tool for suggesting possible improvements to Haskell code. These suggestions include ideas such as using alternative functions, simplifying code and spotting redundancies.

OPTIONS

-? --help
    Display help message

-v --version
    Display version information

-r[file] --report[=file]
    Generate a report in HTML

-h file --hint=file
    Hint/ignore file to use

-c --color, --colour
    Color the output (requires ANSI terminal)

-i message --ignore=message
    Ignore a particular hint

-s --show
    Show all ignored ideas

-t --test
    Run in test mode

EXAMPLE
"To check all Haskell files in 'src' and generate a report type:"

    hlint src --report

SEE ALSO
The full documentation for HLint is available in /usr/local/share/doc/hs-hlint-1.8.3/html/index.html.

AUTHOR
This manual page was written by Joachim Breitner <nomeata@debian.org> for the Debian system (but may be used by others).